%define realname libevent
%define realver  2.0.21
%define srcext   tar.gz

# Common info
Name:          libevent2
Version:       %realver
Release:       15.2
License:       BSD-3-Clause
Group:         Development/Libraries/C and C++
URL:           http://libevent.org/
Summary:       An event notification library

# Build-time parameters
BuildRoot:     %{_tmppath}/%{name}-root
Source:        https://github.com/downloads/libevent/libevent/%{realname}-%{realver}%{?extraver}-stable.%{srcext}
BuildRequires: pkg-config

%description
The libevent API provides a mechanism to execute a callback function when
a specific event occurs on a file descriptor or after a timeout has been
reached. Furthermore, libevent also support callbacks due to signals or regular
timeouts.

libevent is meant to replace the event loop found in event driven network
servers. An application just needs to call event_dispatch() and then add or
remove events dynamically without having to change the event loop.

Currently, libevent supports /dev/poll, kqueue(2), event ports, select(2),
poll(2) and epoll(4). The internal event mechanism is completely independent of
the exposed event API, and a simple update of libevent can provide new
functionality without having to redesign the applications. As a result, Libevent
allows for portable application development and provides the most scalable event
notification mechanism available on an operating system. Libevent can also be
used for multi-threaded applications; see Steven Grimm's explanation. Libevent
should compile on Linux, *BSD, Mac OS X, Solaris and Windows.

%package -n %{realname}-devel
Group:         Development/Languages/C and C++
Summary:       Development files for %{name}
Requires:      %{name} = %{version}
Provides:      pkgconfig(libevent)

%description -n %{realname}-devel
Development files for %{name}

# Preparation step (unpackung and patching if necessary)
%prep
%setup -q -n %{realname}-%{realver}%{?extraver}-stable

%build
%configure \
 --disable-static \
 LDFLAGS="-Wl,--as-needed"
%__make %{?_smp_mflags}

%install
%__make install DESTDIR=%{buildroot}
##__debug_install_post

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE README
%{_libdir}/libevent*.so.*

# Development stuff
%files -n %{realname}-devel
%defattr(-,root,root)
%{_bindir}/event_rpcgen.py
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*.h
%{_includedir}/event2/
%{_libdir}/libevent*.so
%exclude %{_libdir}/libevent*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Mon Jun  3 2013 conrad@quisquis.de
- Upgrade to upstream 2.0.21
* Tue Oct  2 2012 conrad@quisquis.de
- Upgrade to upstream 2.0.20
* Fri Jun  8 2012 conrad@quisquis.de
- Upgrade to upstream 2.0.19
- Added debian build
* Wed May  2 2012 conrad@quisquis.de
- Upgrade to upstream 2.0.18
* Wed Nov 16 2011 conrad@quisquis.de
- Fix merge problem
* Wed Jun 29 2011 conrad@quisquis.de
- Fix merge problem
* Wed Apr  6 2011 conrad@quisquis.de
- Don't strip stuff
* Wed Apr  6 2011 conrad@quisquis.de
- Added debug-install-post
- Removed conflict with libevent1
- Capitalized summary
- Verbosified devel description a little
- Added *.changes file
- Added BuildReq: pkgconfig
